This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1315434 - Fedora 24 x86_64 network installs get i686 kernel and fail to boot
Fedora 24 x86_64 network installs get i686 kernel and fail to boot
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
24
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Václav Pavlín
Fedora Extras Quality Assurance
AcceptedBlocker
:
Depends On:
Blocks: F24AlphaBlocker
  Show dependency treegraph
 
Reported: 2016-03-07 12:49 EST by Adam Williamson
Modified: 2016-03-16 14:45 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-16 14:45:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Williamson 2016-03-07 12:49:15 EST
This is a sort of tracker bug for https://bugzilla.redhat.com/show_bug.cgi?id=1313957 and https://bugzilla.redhat.com/show_bug.cgi?id=1313949 , being filed for blocker tracking purposes.

As a result of both those bugs, F24 x86_64 network installs usually get an i686 kernel and do not boot. This is clearly a release blocker for F24 Alpha and needs fixing somehow, but we are not sure which of the two bugs is most amenable to being fixed, so we are filing this issue-level bug to act as the blocker bug for the problem.

Blocker criterion is "A system installed with a release-blocking desktop must boot to a log in screen where it is possible to log in to a working desktop using a user account created during installation or a 'first boot' utility." or "A system installed without a graphical package set must boot to a state where it is possible to log in through at least one of the default virtual consoles.", depending on the install type.
Comment 1 Kamil Páral 2016-03-07 12:53:07 EST
Discussed at today's blocker review meeting [1]. Accepted as an Alpha blocker - whichever underlying bug we decide to fix, this is clearly an Alpha blocker as it prevents installed system boot after an x86_64 network install

[1] https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2016-03-07/
Comment 2 Adam Williamson 2016-03-07 18:52:26 EST
I sent an anaconda patch:

https://github.com/rhinstaller/anaconda/pull/542

which should fix this from the anaconda end (stopping it installing kernel-PAE on x86_64 even if it's available). I tested it, it seems to work.
Comment 3 Adam Williamson 2016-03-16 14:45:38 EDT
This was fixed from the pungi end (it doesn't put i686 kernels in the x86_64 trees any more). The anaconda patch is applied to f24-branch but is not in the anaconda currently in Alpha builds.

Note You need to log in before you can comment on or make changes to this bug.